# ======================================================================
# Makefile
#
#   Copyright (C) 2003 and onward Robert Muth <robert at muth dot org>
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, version 3 of the License.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   $Id: Makefile 478 2007-12-16 17:10:59Z muth $
#
# ======================================================================

PROGRAMS = apetag

SOURCES = basic.C switch.C main.C

OBJECTS = $(SOURCES:.C=.o)

HEADERS =

CXXDEBUG = -g
CXXOPT = -O
CXXFLAGS = -Wall -Werror -Wextra -pedantic $(CXXOPT)   $(CXXDEBUG)

all:	$(PROGRAMS)

# ======================================================================

apetag: $(OBJECTS)
	$(CXX) $(CXXDEBUG) -o apetag $(OBJECTS)

apetag.static: $(OBJECTS)
	$(CXX) $(CXXDEBUG) -static -o apetag.static  $(OBJECTS)

check_py:
	pylint  --max-line-length=96 --disable-msg=E0101 --disable-msg=C0321 *.py
check_html:
	tidy -xml index.html >/dev/null

check_tar:
	-svn status | grep '\?'

clean:
	rm -f *.o *.pyc *~ \#* $(PROGRAMS)

tar: clean check_tar
	cd ..;tar cfz apetag.1.12.tar.gz --exclude .svn Apetag

dep:
	makedepend -Y $(SOURCES)


# ======================================================================
# DO NOT DELETE

